Bug 433975 - bmpx failed massrebuild attempt for GCC 4.3
bmpx failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bmpx (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:51 EST by Jesse Keating
Modified: 2013-01-09 21:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.14.13-10.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-02 05:06:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:51:43 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436101
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-22 11:23:38 EST
json_value.cpp: In member function 'virtual char*
Json::DefaultValueAllocator::duplicateStringValue(const char*, unsigned int)':
json_value.cpp:83: error: 'strlen' was not declared in this scope
json_value.cpp:85: error: 'memcpy' was not declared in this scope
json_value.cpp: In member function 'bool Json::Value::CZString::operator<(const
Json::Value::CZString&) const':
json_value.cpp:220: error: 'strcmp' was not declared in this scope
json_value.cpp: In member function 'bool Json::Value::CZString::operator==(const
Json::Value::CZString&) const':
json_value.cpp:228: error: 'strcmp' was not declared in this scope
json_reader.cpp: In member function 'bool
Json::Reader::decodeDouble(Json::Reader::Token&)':
json_reader.cpp:522: error: 'memcpy' was not declared in this scope
json_value.cpp: In member function 'bool Json::Value::operator<(const
Json::Value&) const':
json_value.cpp:570: error: 'strcmp' was not declared in this scope
json_value.cpp: In member function 'bool Json::Value::operator==(const
Json::Value&) const':
json_value.cpp:636: error: 'strcmp' was not declared in this scope
json_value.cpp: In member function 'void Json::Path::makePath(const
std::string&, const std::vector<const Json::PathArgument*, std::allocator<const
Json::PathArgument*> >&)':
json_value.cpp:1578: error: 'strchr' was not declared in this scope
Comment 2 Alexander Kahl 2008-02-22 11:31:40 EST
I don't expect any difficulties fixing this as investigations revealed only
explicit #includes of cstring are missing. Upstream should integrate the
resulting patch, hopefully.

Note You need to log in before you can comment on or make changes to this bug.